---
- name: Fetch Monit from repo and install
  apt:
    pkg: monit
    state: present
    update_cache: yes
  
- name: Enable service on boot
  systemd:
    name: monit
    enabled: yes

- name: Copy base config file
  template:
    src: monitrc.j2
    dest: /etc/monit/monitrc
    owner: root
    group: root
    mode: '0600'
    backup: yes
  notify:
    - Restart monit

- name: Check folder structure
  file:
    dest: "/etc/monit/conf-{{ item }}"
    state: directory
  loop:
    - available
    - enabled 

- name: Copy additional monitoring config files
  copy:
    src: files/extra-monitoring
    dest: /etc/monit/conf-enabled/extra-monitoring
    owner: root
    group: root
    mode: '0644'
    backup: yes
  notify:
    - Restart monit

#- name: Enable additional monitoring
#  monit:
#    name: "{{ item }}"
#    state: monitored
#  loop:
#    "{{ monitored_services }}"
